depends = ('ITKPyBase', 'ITKTransform', 'ITKImageFrequency', 'ITKIOImageBase', 'ITKFFT', 'ITKCommon', )
templates = (
  ('Image', 'itk::Image', 'itkImageCD2', False, 'std::complex< double >, 2'),
  ('Image', 'itk::Image', 'itkImageCD3', False, 'std::complex< double >, 3'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICD2', False, 'itk::Image< std::complex< double >, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICD3', False, 'itk::Image< std::complex< double >, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICD2ICD2', False, 'itk::Image< std::complex< double >, 2 >, itk::Image< std::complex< double >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICD3ICD3', False, 'itk::Image< std::complex< double >, 3 >, itk::Image< std::complex< double >, 3 >'),
  ('PhaseCorrelationOperator', 'itk::PhaseCorrelationOperator', 'itkPhaseCorrelationOperatorF2', True, 'float, 2'),
  ('PhaseCorrelationOperator', 'itk::PhaseCorrelationOperator', 'itkPhaseCorrelationOperatorD2', True, 'double, 2'),
  ('PhaseCorrelationOperator', 'itk::PhaseCorrelationOperator', 'itkPhaseCorrelationOperatorF3', True, 'float, 3'),
  ('PhaseCorrelationOperator', 'itk::PhaseCorrelationOperator', 'itkPhaseCorrelationOperatorD3', True, 'double, 3'),
  ('PhaseCorrelationOptimizer', 'itk::PhaseCorrelationOptimizer', 'itkPhaseCorrelationOptimizerICF2', True, 'itk::Image< std::complex< float >,2 >'),
  ('PhaseCorrelationOptimizer', 'itk::PhaseCorrelationOptimizer', 'itkPhaseCorrelationOptimizerIF2', True, 'itk::Image< float,2 >'),
  ('PhaseCorrelationOptimizer', 'itk::PhaseCorrelationOptimizer', 'itkPhaseCorrelationOptimizerID2', True, 'itk::Image< double,2 >'),
  ('PhaseCorrelationOptimizer', 'itk::PhaseCorrelationOptimizer', 'itkPhaseCorrelationOptimizerICD2', True, 'itk::Image< std::complex< double >, 2 >'),
  ('PhaseCorrelationOptimizer', 'itk::PhaseCorrelationOptimizer', 'itkPhaseCorrelationOptimizerICF3', True, 'itk::Image< std::complex< float >,3 >'),
  ('PhaseCorrelationOptimizer', 'itk::PhaseCorrelationOptimizer', 'itkPhaseCorrelationOptimizerIF3', True, 'itk::Image< float,3 >'),
  ('PhaseCorrelationOptimizer', 'itk::PhaseCorrelationOptimizer', 'itkPhaseCorrelationOptimizerID3', True, 'itk::Image< double,3 >'),
  ('PhaseCorrelationOptimizer', 'itk::PhaseCorrelationOptimizer', 'itkPhaseCorrelationOptimizerICD3', True, 'itk::Image< std::complex< double >, 3 >'),
  ('PhaseCorrelationImageRegistrationMethod', 'itk::PhaseCorrelationImageRegistrationMethod', 'itkPhaseCorrelationImageRegistrationMethodIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('PhaseCorrelationImageRegistrationMethod', 'itk::PhaseCorrelationImageRegistrationMethod', 'itkPhaseCorrelationImageRegistrationMethodIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTTD2', False, 'itk::TranslationTransform< double , 2 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTTD3', False, 'itk::TranslationTransform< double , 3 >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorPD2', False, 'itk::Point< double , 2 >'),
  ('SimpleDataObjectDecorator', 'itk::SimpleDataObjectDecorator', 'itkSimpleDataObjectDecoratorPD3', False, 'itk::Point< double , 3 >'),
)
snake_case_functions = ('phase_correlation_image_registration_method', 'phase_correlation_operator', 'image_to_image_filter', 'image_source', 'phase_correlation_optimizer', )
